#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin >> n;
    fflush(stdin);

    //Numerisanje od 1;
    vector<int> a(n + 1);
    a[0] = 0; // ne reba mi, samo za uporedjivanjeprvog

    int unos;
    cin >> unos;
    fflush(stdin);

    //Broj promen,oni kojiodstupaju
    int broj_vecih_od_zadatog = 0;

    int naredni;
    int indeksveceg = 0;
    int pom = 0;
    int flag = 0;

    for(int i = 1; i < n; i++){
        cin >>naredni;
        if(naredni < unos){
            broj_vecih_od_zadatog++;
            if(flag == 0){
                indeksveceg = i - 1;
                pom++;
                flag++;
            }
        }

        if(a[indeksveceg] > naredni){
            pom++;
        }

        a[i] = broj_vecih_od_zadatog ;
         unos = naredni;
    }

    int q;
    cin >> q;

    for(int i = 0; i < q; i++){

        int x;
        int y;
        fflush(stdin);
        cin >> x;
        fflush(stdin);
        cin >> y;
        fflush(stdin);

        x--;
        y--;

        if(x == y){
            cout << "DA" << endl;
            continue;
        }

        //Imamo vise odstupanjaod 1, znacimoramo da brisemo viseod 1 a to je kontradikcija
        int brojPojavljivanja = upper_bound(a.begin(), a.end(), x) - lower_bound(a.begin(), a.end(), y);

        if(a[y] - a[x] > 1){
            cout << "NE"<<endl;
            continue;
        }else{
            cout << "DA"<<endl;
            continue;
        }
    }

    return 0;
}